> For the complete documentation index, see [llms.txt](https://docs.ionos.com/puppet-v6/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/puppet-v6/types/compute-engine/pcc.md).

# pcc

Type representing a IonosCloud LAN.

## Parameters:

| Name        | Required | Description                 |
| ----------- | :------: | --------------------------- |
| name        |   true   | The name of the PCC.        |
| description |          | The description of the PCC. |

## Properties:

| Name                     | Required | Description                                             |
| ------------------------ | :------: | ------------------------------------------------------- |
| ensure                   |    No    | Valid values are `present`, `absent`.                   |
| peers                    |    No    | The list of peers connected to the PCC.                 |
| id                       |    No    | The PCC ID.                                             |
| connectable\_datacenters |    No    | The datacenters from which you may connect to this PCC. |
| \*\*\*                   |          |                                                         |

### Changeable properties:

* description
* peers

## Examples

### To list resources:

```bash
puppet resource pcc
```

> ***NOTE:*** If two resources have the same name only one of them will be shown.

### To create, update or delete a resource:

```ruby
$datacenter1_name = 'datacenter1_name'
$private_lan_in_datacenter1 = 'private_lan_in_datacenter1'
$datacenter2_name = 'datacenter1_name'
$private_lan_in_datacenter2 = 'private_lan_in_datacenter2'

pcc { 'newpcc' :
  ensure      => absent,
  description => 'descriere',
  peers       => [
    {
      name            => $private_lan_in_datacenter1,
      datacenter_name => $datacenter1_name,
    },
    {
      name            => $private_lan_in_datacenter2,
      datacenter_name => $datacenter2_name,
    },
  ]
}
```

> ***NOTE:*** If two resources with the same name ar found an error will be thrown, this only applies to cases where the resource cannot be identified. Example: an error is thrown for two servers with the same name in the same datacenter, not for two servers with the same name, but in different datacenters.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/puppet-v6/types/compute-engine/pcc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
